Support » Plugin: Event Organiser » Event Organiser 3.1.7 error message since wp 4.7.2 update

  • helmutwilly

    (@helmutwilly)


    Hi all

    Since I have updated wp 4.7.0 to 4.7.2 my Event Organiser doesn’t work right anymore.
    The first event in the list is shown as an error message like this:

    Fatal error: Uncaught exception ‘Exception’ with message ‘Error in formating DateTime object. Expected DateTime, but instead given boolean’ in /homepages/5/d39423887/htdocs/kukufab/bayreuth/wp-content/plugins/event-organiser/includes/event-organiser-utility-functions.php:31 Stack trace: #0 /homepages/5/d39423887/htdocs/kukufab/bayreuth/wp-content/plugins/event-organiser/includes/event-organiser-utility-functions.php(164): eo_format_datetime(false, ‘j. F Y’) #1 /homepages/5/d39423887/htdocs/kukufab/bayreuth/wp-content/plugins/event-organiser/templates/eo-loop-single-event.php(32): eo_format_event_occurrence() #2 /homepages/5/d39423887/htdocs/kukufab/bayreuth/wp-includes/template.php(686): require(‘/homepages/5/d3…’) #3 /homepages/5/d39423887/htdocs/kukufab/bayreuth/wp-content/plugins/event-organiser/includes/event-organiser-templates.php(96): load_template(‘/homepages/5/d3…’, false) #4 /homepages/5/d39423887/htdocs/kukufab/bayreuth/wp-content/plugins/event-organiser/includes/event-organiser-templates.php(41): eo_locate in /homepages/5/d39423887/htdocs/kukufab/bayreuth/wp-content/plugins/event-organiser/includes/event-organiser-utility-functions.php on line 31

    On the Event Organiser Homepage is written, that EO is only recommended til wp 4.7.0
    Unfortunatly I’ve got no copy from my old version (with wp 4.7.0)

    Thanks for your help in advance

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Stephen Harris

    (@stephenharris)

    I don’t think this is tied to the WP 4.7.2 release. Although the ‘tested up to’ hasn’t been updated, it has actually been tested up to 4.7.2.

    I suspect there is some other issue at play here.

    On what page do you see this message? Does this happen for all events, or just some?

    If just the one, try updating that event – this error typically occurs if the event has no dates in the database (which shouldn’t, generally be possible).

    If that doesn’t work, it might be a plug-in/theme conflict. It might worth temporarily disabling all other plug-ins and switching to one of the Twenty<Something> themes to rule that out.

    helmutwilly

    (@helmutwilly)

    Thanks for your help

    I followed your advice and canceled the first event which appeared as an error message and there was no error message anymore. But now I’ve got the problem that the oldest event is shown first after a click on “VERANSTALTUNGEN”. Befor updating the youngest event appeared first.
    Maybe there is nothing wrong, but I’m not able to find a solution for this (maybe) problem.

    Thank you for good advice

    helmutwilly

    (@helmutwilly)

    Sorry

    here the homepage link

    http://www.kukufab.de/

    Plugin Author Stephen Harris

    (@stephenharris)

    The events are ordered correctly (chronological); I think what you’re after is showing only future events. If so, in Settings > Event Organiser > General there is an option to exclude past events.

    helmutwilly

    (@helmutwilly)

    Stephen thank for your help,

    but I’m sure that the event were ordered not chronical.

    Is there a chance to set a tick on the right place or to change some parameters in the right php-file to chance the order of the events from chronological to reverse chronological.
    For my Organisation it is important to see the current event but it is important as well to show our visitors the events in the past, therefor it isn’t very important to show them fist what was offered 3 years ago.

    thanks for your help

    @helmutwilly Did you ever solve this? It seems such a common use case I can’t believe it’s so difficult to set up.

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.